Bug 1410235 - Typos in satellite-installer --help
Summary: Typos in satellite-installer --help
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 21:05 UTC by Matt Reid
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:54:17 UTC


Attachments (Terms of Use)
Help Output (141.59 KB, image/png)
2017-01-04 21:05 UTC, Matt Reid
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17985 None None None 2017-01-09 14:47 UTC
Foreman Issue Tracker 17986 None None None 2017-01-09 14:51 UTC

Description Matt Reid 2017-01-04 21:05:35 UTC
Created attachment 1237335 [details]
Help Output

Description of problem:
From a 6.2.1 system, there are some typos in satellite-installer --help.

= Generic:
    --upgrade                     Run the steps neccessary for an upgrade such as migrations, rake tasks, etc. (default: false)
    --list-scenarios              List available installation scenaraios
    --force                       Force change of installation scenaraio

Necessary, scenario, and scenarios are spelled wrong. Acronym capitalization throughout is inconsistent (https vs HTTPS, SSL vs ssl, etc), but those are the only typos I saw in Writer. Would be nicer if the acronyms were capitalized consistently.

Version-Release number of selected component (if applicable):
6.2.1

Additional info:

Comment 2 Stephen Benjamin 2017-01-09 14:47:21 UTC
Created redmine issue http://projects.theforeman.org/issues/17985 from this bug

Comment 3 pm-sat@redhat.com 2017-01-09 15:05:12 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 4 pm-sat@redhat.com 2017-01-09 15:05:16 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 5 pm-sat@redhat.com 2017-01-09 17:05:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17986 has been resolved.

Comment 6 Chris Brown 2017-06-20 20:39:43 UTC
Also necessary for --upgrade-puppet under Generic

--upgrade-puppet              Run the steps neccessary to upgrade from Puppet 3 to Puppet 4. (default: false)

Comment 7 Chris Brown 2017-06-20 20:44:40 UTC
Also is this bug including "Would be nicer if the acronyms were capitalized consistently"?

Comment 8 Ondřej Pražák 2017-08-02 08:34:32 UTC
Verified.
Sat-6.3.0 snap 9.0

Removes the typos, does not include consistent acronym capitalization.

Comment 9 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.